Lists all boards visible to the current user.
curl --request GET \
--url https://{install}/api/board \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/board"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/board', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/board");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
[
{
"entity": "<string>",
"name": "<string>",
"description": "<string>",
"container": [
"<string>"
],
"resource": [
"<string>"
],
"budgetHours": 123,
"budgetChange": [
{
"id": "<string>",
"reasonId": "<string>",
"userId": "<string>",
"initials": "<string>",
"dated": "2023-11-07T05:31:56Z",
"changeDelta": 123
}
],
"locked": true,
"archived": true,
"role": [
{
"role": 123,
"userGroup": [
"<string>"
]
}
],
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Boards
Lists all boards visible to the current user.
GET
/
api
/
board
Lists all boards visible to the current user.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Query Parameters
When true, includes archived boards. Defaults to active boards only.
Response
List of boards.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I